%define section free

Summary:        Common code for XML projects
Name:           xml-commons
Version:        1.0
Release:        0.b2.6jpp
Epoch:          0
License:        Apache Software License
URL:            http://xml.apache.org/commons/
Source0:        http://xml.apache.org/dist/commons/xml-commons-1.0.b2.tar.gz
Source1:        xml-commons.which.script
Patch0:         xml-commons.build.patch
Patch1:         xml-commons.manifest.patch
Requires:       jpackage-utils >= 0:1.5
BuildRequires:  ant, jpackage-utils >= 0:1.5
Group:          Text Processing/Markup/XML
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
xml-commons is focused on common code and guidelines for xml projects.
It's first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.
As the xml-commons community forms, we also hope to serve as a holding
area for other common xml-related utilities and code, and to help
promulgate common packaging, testing, documentation, and other
guidelines across all xml.apache.org subprojects.

%package apis
Summary:        APIs subproject of %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description apis
APIs subproject of %{name}.

%package which
Summary:        Which subproject of %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils >= 0:1.5

%description which
Which subproject of %{name}.

%package apis-manual
Summary:        Manual for %{name}-api
Group:          Text Processing/Markup/XML

%description apis-manual
Manual for %{name}-apis.

%package apis-javadoc
Summary:        Javadoc for %{name}-api
Group:          Development/Documentation

%description apis-javadoc
Javadoc for %{name}-apis.

%package which-javadoc
Summary:        Javadoc for %{name}-which
Group:          Development/Documentation

%description which-javadoc
Javadoc for %{name}-which.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}.b2
%patch0 -p1
%patch1 -p1
# remove all binary libs and prebuilt javadocs
rm -rf `find . -name "*.jar" -o -name "*.gz"`
rm -rf java/build java/external/build/docs/javadoc

# -----------------------------------------------------------------------------

%build
ant jars

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p java/external/build/xml-apis.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-apis-%{version}.jar
cp -p java/build/which.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-which-%{version}.jar

# Jar versioning
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which-%{version}
cp -pr java/external/build/docs/javadoc/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
cp -pr java/build/docs/javadocs/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-which-%{version}

# Scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xml-which

# prevent apis javadoc from being included in doc
rm -rf java/external/build/docs/javadoc

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc KEYS README.html

%files apis
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-apis*

%files which
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-which*
%attr(0755,root,root) %{_bindir}/*

%files apis-manual
%defattr(0644,root,root,0755)
%doc java/external/build/docs/*

%files apis-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-apis-%{version}

%files which-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-which-%{version}

# -----------------------------------------------------------------------------

%post apis-javadoc
rm -f %{_javadocdir}/%{name}-apis
ln -s %{name}-apis-%{version} %{_javadocdir}/%{name}-apis

%postun apis-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-apis
fi

%post which-javadoc
rm -f %{_javadocdir}/%{name}-which
ln -s %{name}-which-%{version} %{_javadocdir}/%{name}-which

%postun which-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-which
fi

# -----------------------------------------------------------------------------

%changelog
* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-0.b2.6jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.0-0.b2.5jpp
- Fix xml-which script.
- Include non-versioned javadoc symlinks.
- Add Epoch: 0.
- Fix jpackage-utils dependency versions.

* Thu Mar 13 2003 Nicolas Mailhot <Nicolas.Mailhot at jpackage.org> - 1.0-0.b2.4jpp
- For jpackage-utils 1.5

* Wed Nov 13 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0-0.b2.3jpp
- Following upstream changes, resolver is now built from its own package.

* Sun Nov  3 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.b2.2jpp
- Split resolver into its own subpackage.
- Fix Group, Vendor and Distribution tags.
- Use sed instead of bash 2 extension when symlinking jars.
- Add resolver and which shell scripts.

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-0.b2.1jpp
- 1.0.b2
- get tarball from xml.apache.org
- add macro section

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b1.1jpp
- first jpp release
